perl-Sub-Exporter-Progressive-0.1.11-8-omv2015.0.noarch.rpm


Advertisement

Description

perl-Sub-Exporter-Progressive - Only use Sub::Exporter if you need it

Property Value
Distribution OpenMandriva Lx 3.0
Repository OpenMandriva Main Release i586
Package filename perl-Sub-Exporter-Progressive-0.1.11-8-omv2015.0.noarch.rpm
Package name perl-Sub-Exporter-Progressive
Package version 0.1.11
Package release 8-omv2015.0
Package architecture noarch
Package type rpm
Category Development/Perl
Homepage http://search.cpan.org/dist/Sub-Exporter-Progressive
License GPL+ or Artistic
Maintainer -
Download size 11.14 KB
Installed size 12.75 KB
the Sub::Exporter manpage is an incredibly powerful module, but with that
power comes great responsibility, er- as well as some runtime penalties.
This module is a 'Sub::Exporter' wrapper that will let your users just use
the Exporter manpage if all they are doing is picking exports, but use
'Sub::Exporter' if your users try to use 'Sub::Exporter''s more advanced
features features, like renaming exports, if they try to use them.
Note that this module will export '@EXPORT' and '@EXPORT_OK' package
variables for 'Exporter' to work. Additionally, if your package uses
advanced 'Sub::Exporter' features like currying, this module will only ever
use 'Sub::Exporter', so you might as well use it directly.

Alternatives

Package Version Architecture Repository
perl-Sub-Exporter-Progressive-0.1.11-8-omv2015.0.noarch.rpm 0.1.11 noarch OpenMandriva Main Release
perl-Sub-Exporter-Progressive - - -

Requires

Name Value
perl(Carp) -
perl(List::Util) -
perl(abi) >= 5.20.3

Provides

Name Value
perl(Sub::Exporter::Progressive) == 0.1.11
perl-Sub-Exporter-Progressive == 0.1.11-8:2015.0

Download

Type URL
Mirror abf-downloads.openmandriva.org
Binary Package perl-Sub-Exporter-Progressive-0.1.11-8-omv2015.0.noarch.rpm
Source Package perl-Sub-Exporter-Progressive-0.1.11-8.src.rpm

Install Howto

  1. Enable OpenMandriva Main Release repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-Sub-Exporter-Progressive rpm package:
    # urpmi perl-Sub-Exporter-Progressive

Files

Path
/usr/lib/perl5/vendor_perl/5.20.3/Sub/
/usr/lib/perl5/vendor_perl/5.20.3/Sub/Exporter/Progressive.pm
/usr/share/doc/perl-Sub-Exporter-Progressive/Changes
/usr/share/doc/perl-Sub-Exporter-Progressive/META.json
/usr/share/doc/perl-Sub-Exporter-Progressive/META.yml
/usr/share/doc/perl-Sub-Exporter-Progressive/MYMETA.yml
/usr/share/doc/perl-Sub-Exporter-Progressive/README
/usr/share/man/man3/Sub::Exporter::Progressive.3pm.xz

See Also

Package Description
perl-Sub-Identify-0.80.0-5-omv2015.0.i586.rpm Retrieve names of code references
perl-Sub-Install-0.928.0-4-omv2015.0.noarch.rpm Install subroutines into packages easily
perl-Sub-Name-0.50.0-17-omv2015.0.i586.rpm Allows to (re)name a sub
perl-Sub-Uplevel-0.240.0-11-omv2015.0.noarch.rpm Apparently run a function in a higher stack frame
perl-Switch-2.160.0-9-omv2015.0.noarch.rpm A switch statement for Perl
perl-Sys-Hostname-Long-1.4-20-omv2015.0.noarch.rpm Try every conceivable way to get full hostname
perl-Task-Weaken-1.40.0-15-omv2015.0.noarch.rpm Ensure that a platform has weaken support
perl-Template-Toolkit-2.260.0-5-omv2015.0.i586.rpm Template-Toolkit module for perl
perl-Term-ReadKey-2.320.0-8-omv2015.0.i586.rpm Term::ReadKey Perl module
perl-Term-ReadLine-Gnu-1.240.0-8-omv2015.0.i586.rpm Perl extension for the GNU Readline/History Library
perl-Term-UI-0.420.0-6-omv2015.0.noarch.rpm Term::ReadLine UI made easy
perl-Test-Base-0.880.0-4-omv2015.0.noarch.rpm A Data Driven Testing Framework
perl-Test-CPAN-Meta-0.230.0-6-omv2015.0.noarch.rpm Validation of META.yml specification elements
perl-Test-ClassAPI-1.60.0-15-omv2015.0.noarch.rpm Test::ClassAPI - Provides basic first-pass API testing for large class trees
perl-Test-CleanNamespaces-0.160.0-4-omv2015.0.noarch.rpm Check for uncleaned imports
Advertisement
Advertisement